Bug 51462 - Network number and broadcast address not re-calculated when changing IP address
Network number and broadcast address not re-calculated when changing IP address
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-network (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Depends On:
  Show dependency treegraph
Reported: 2001-08-10 13:18 EDT by Jim Morton
Modified: 2015-03-04 20:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-24 05:08:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jim Morton 2001-08-10 13:18:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.6-3.1 i686)

Description of problem:
After post-installation re-boot,  changing IP address of eth0 did change
the IP address in the config file, but did not re-calculate and change the
broadcast address and network number.   The broadcast address is required
for proper ARP operation.

How reproducible:

Steps to Reproduce:
1.Using GNOME  choose  Programs -> System -> Network configuration
2.Select device eth0 and press edit button.
3.select protocol tab and highlight TCP ( only protocol in my
implementation )
4. click edit button.
5.  Alter  IP Address significantly  -  change the network number portion
of the IP address,  not just the host within the network.  Make sure to
change the subnet mask and gateway if needed.   Save changes.
6.  plug into new network then /etc/rc.d/init.d/network stop   then  start
7.   try to reach site in an external network.
8.  the file   /etc/sysconfig/networking/devices//ifcfg-eth0  will not have
the proper values in it either.


Actual Results:  The original broadcast address and network number remained
in the file:

Expected Results:  New and correct broadcast address and network numbers
should have been in file:

Additional info:

Or maybe  its just swamp gas.
Comment 1 Glen Foster 2001-08-10 16:02:21 EDT
We (Red Hat) should really try to fix this before next release.
Comment 2 Trond Eivind Glomsrxd 2001-08-13 18:25:50 EDT
Can you try the rpms available at http://people.redhat.com/teg/neat/ ?
Comment 3 Phil Knirsch 2001-08-24 05:08:00 EDT
OK, fixed in most recent version (0.7.4-2)

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.